System Requirements

Overview

This article details the minimum requirements your system must meet to run Appian.

Operating Systems

Due to the way file names and file paths are calculated for documents stored in Appian, all servers hosting the same Appian installation must use the same type of operating system. Do not mix Windows and Linux. Also, only 64-bit operating systems running on x86-64 CPU architecture (sometimes referred to as x64) are supported. This table lists the supported platforms for servers that host Appian.

Linux (Reference Platforms) Windows Server Windows Desktop
Red Hat Enterprise Linux Windows Server 2016 Windows 10
CentOS Windows Server 2012 Windows 7
Ubuntu Windows Server 2008  

Note: Only server versions of Windows are supported for production environments. Desktop version of Windows are only supported for local development environments.

Note: Running more than one instance of the Appian engines, Kafka, or Zookeeper is not a supported configuration in Windows environments. This means that high-availability and load balancing the Appian engines are not possible in Windows environments.

Note: Customers who wish to run VMware must use one of the platforms listed above as the guest operating system. VMware's VMotion capability has been known to cause corruption inside Zookeeper, which can lead to site unavailability. Appian recommends disabling VMotion for any VMware severs that host Zookeeper.

Java

The following versions of the Java Development Kit are supported:

  • Oracle Java JDK 1.8.0_x (update 131 later)
  • OpenJDK 8 (update 171 or later)

Hardware Requirements

The table below describes the physical system requirements for Appian.

Development sites (sites where applications are built) and production sites (sites where the applications run) have different load profiles, scaling characteristics, and performance demands and so are broken out separately.

Development Sites

Usage Pattern RAM (GB) Storage (GB) CPU Cores
Infrequent Use, Few Applications 15 30 2
Frequent Use or Many Applications 30 100 4

Production Sites

Usage Pattern Concurrent Users RAM (GB) Storage (GB) CPU Cores
Single Application < 100 30 100 4
Departmental adoption 100 - 1,000 60 500 8
Enterprise adoption > 1,000 240 1,000 32

Production instances of Appian should run on dedicated hardware or virtual machines in order to prevent resource contention, port conflicts, and interference from other applications.

The sizing guidelines in the table above are a rough approximation for hardware requirements. They should be treated only as a starting point. Actual sizing also depends on things like number of active processes and the data in those processes, number of archived processes, number of uploaded files, engine checkpoint frequency, and whether or not the site is highly available so your actual requirements may vary. The sizing script can help project the RAM that will be required for your installation. Sizing is best run while your application is under development with sample data as well as after your application has been completed with real data.

Cloud Infrastructure as a Service

For customers who wish to run Appian from cloud infrastructure as a service, Appian will run on any that support the operating systems and minimum hardware requirements as listed in this article.

The following major providers of cloud infrastructure as a service are known to be compatible with Appian:

Databases

The following relational database management systems (RDBMS) are supported as the Appian data source and as business data sources. The RDBMS can be hosted on Amazon RDS as long as it is one of the types and versions listed below and the network latency falls within the recommended guidelines.

RDBMS Driver
MySQL 5.7.x (on latest patch) with InnoDB engine Connector/J 5.1.x (on latest patch)
Oracle 12c R1 Oracle Thin JDBC Driver for 12c R1
(with patch for Oracle bug 19632480)
Oracle 12c R2 Oracle Thin JDBC Driver for 12c R2
Oracle 11g R2 Oracle Thin JDBC Driver for 11g R2
Microsoft SQL Server 2016 Microsoft JDBC SQL Server Driver 6.4 (or later)
Microsoft SQL Server 2014 Microsoft JDBC SQL Server Driver 6.4 (or later)
Microsoft SQL Server 2012 Microsoft JDBC SQL Server Driver 6.4 (or later)
Microsoft SQL Server 2008 Microsoft JDBC SQL Server Driver 2.0 and 6.4 (or later)
IBM DB2 UDB v11.1 for Linux, UNIX, and Windows IBM DB2 JDBC Driver version 4.22.29

In addition to these databases, other databases not listed here are also supported for use with the Query Database Smart Service, as long as the database provides a JDBC compliant database driver.

Note: Appian recommends a round-trip time for TCP communications with the database of less than 10 milliseconds with an upper bound of 25 milliseconds for acceptable performance. Network latency outside of these bounds will result in degraded system performance.

Web Browsers

The supported Web browsers are listed in the table below. Use the Appian for Mobile Devices application for iOS and Android instead of mobile browsers. See Mobile Devices for more information.

Web browsers must allow cookies. If a user's browser is not configured to allow cookies, then Appian displays an alert stating that cookies must be enabled in order to log in.

Browser Comments
Microsoft Edge Microsoft Edge is only supported on Windows 10 operating systems.
Microsoft Internet Explorer 11

Microsoft Internet Explorer 11 is supported on Windows operating systems.

Microsoft Internet Explorer 11 is supported on Windows 8.x tablet.

Running Internet Explorer in Enterprise or Document Mode to emulate older browser versions is not supported.

Mozilla Firefox Mozilla Firefox updates automatically. Appian supports the most recent stable version of Mozilla Firefox.
Google Chrome Google Chrome updates automatically. Appian supports the most recent stable version of Google Chrome.
Apple Safari Safari is only supported on Mac operating systems.

Note: Appian does not support browsers that are no longer supported by their vendor. Use the latest supported browser version and always apply all available security updates.

Web browsers for Appian Cloud users should be configured to allow TLS version 1.1 and/or 1.2.

Appian Feature Support by Browser

The table below lists browser compatibility by feature. Certain features in Appian, such as the Process Modeler, have their own browser configuration requirements. See Web Browser Configuration for more information.

Feature Edge Internet Explorer 11 Internet Explorer 11 (tablet) Mozilla Firefox Google Chrome Apple Safari
Tempo Yes Yes Yes Yes Yes Yes
Sites Yes Yes Yes Yes Yes Yes
Embedded interfaces Yes Yes Yes Yes Yes Yes
Appian Designer Yes Yes No Yes Yes Yes
Administration Console Yes Yes No Yes Yes Yes
Process Modeler Yes Yes No Yes Yes Yes
Web Content Component No No No Yes Yes No

Mobile Devices

All supported versions of the Appian mobile app are listed in the Product Release History.

The latest version of the Appian mobile app is always backward-compatible with previous Appian versions, so we encourage you to update to take advantage of new features and enhancements.

BlackBerry™ MDM is supported by dedicated iOS and Android apps, Appian for BlackBerry (formerly called Appian For Good), in the BlackBerry Marketplace. For other MDM vendors, see MDM Support.

Microsoft SharePoint

Web parts for news, tasks, and actions are supported for Microsoft SharePoint 2013 using the Appian for SharePoint 2013 module.

FEEDBACK